Subject: Re: bug#14708: 24.2; query-replace-regexp when match and replacement are the same

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Jun 2013 09:39:24 -0400

>> I don't think the difference is very important, but I wouldn't oppose
>> such a change.
> Did you read the point I made above and which the reporter conceded, namely
> that such no-op replacements often indicate broken regexps?

I did.  And just like the improvement he proposes, this downside
is minor.  I don't think either of the arguments justifies spending
time on a patch,

        Stefan